package com.hai.config;

import com.alibaba.fastjson.JSONObject;
import com.hai.common.pay.util.sdk.WXPayConstants;
import com.hai.common.utils.HttpsUtils;
import com.hai.common.utils.WxUtils;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.Map;

@Component
public class KytcService {

    private final static String reqUrl = "https://kykh.dctpay.com";
    private final static String key = "ad/s-kfa*#s!dkfjhjh";

    public  static JSONObject getOrderPay(String orderNo , BigDecimal price , String cardNo) throws Exception {
       JSONObject paramMap = new JSONObject();

        paramMap.put("Amount" ,price);
        paramMap.put("OrderNo" , orderNo);
        paramMap.put("CardNo" , cardNo);
        paramMap.put("sign", WxUtils.generateSignKytc(paramMap , key));

        return HttpsUtils.doPost(reqUrl + "/api/hf/order-pay", paramMap);
    }

    public  static JSONObject getOrderInfo(String orderNo) throws Exception {
        JSONObject paramMap = new JSONObject();

        paramMap.put("OrderNo" , orderNo);
        paramMap.put("sign", WxUtils.generateSignKytc(paramMap , key));

        return HttpsUtils.doPost(reqUrl + "/api/hf/order-info", paramMap);
    }

}
