package com.hai.model;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @className: DiscountUseConditionModel
 * @author: HuRui
 * @date: 2023/3/28
 **/
@Data
public class DiscountUseConditionModel {

    @ColumnWidth(15)
    @ExcelProperty("优惠券编码")
    private Long discountAgentCodeId;
    @ColumnWidth(25)
    @ExcelProperty("优惠券名称")
    private String discountName;
    @ColumnWidth(15)
    @ExcelProperty("优惠券类型")
    private String discountType;
    @ColumnWidth(15)
    @ExcelProperty("优惠券价格")
    private BigDecimal discountPrice;
    @ColumnWidth(15)
    @ExcelProperty("优惠券状态")
    private String discountUseStatus;
    @ColumnWidth(15)
    @ExcelProperty("客户电话")
    private String userPhone;
    @ColumnWidth(20)
    @ExcelProperty("领取时间")
    private Date receiveTime;
    @ColumnWidth(20)
    @ExcelProperty("过期时间")
    private Date useEndTime;
    @ColumnWidth(20)
    @ExcelProperty("使用时间")
    private Date useTime;
    @ColumnWidth(25)
    @ExcelProperty("交易订单号")
    private String orderNo;
    @ColumnWidth(15)
    @ExcelProperty("交易金额")
    private BigDecimal orderTotalPrice;
    @ColumnWidth(15)
    @ExcelProperty("交易优惠")
    private BigDecimal orderDiscountPrice;
    @ColumnWidth(15)
    @ExcelProperty("交易实付")
    private BigDecimal orderPayPrice;

}
